package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.sqmy.SqmyInfo;

import java.util.List;

/**
 * 社情民意信息Mapper接口
 * 
 * @author boman
 * @date 2024-03-14
 */
public interface SqmyInfoMapper 
{
    /**
     * 查询社情民意信息
     * 
     * @param sqmyId 社情民意信息主键
     * @return 社情民意信息
     */
    public SqmyInfo selectSqmyInfoBySqmyId(Long sqmyId);

    /**
     * 查询社情民意信息列表
     * 
     * @param sqmyInfo 社情民意信息
     * @return 社情民意信息集合
     */
    public List<SqmyInfo> selectSqmyInfoList(SqmyInfo sqmyInfo);

    /**
     * 新增社情民意信息
     * 
     * @param sqmyInfo 社情民意信息
     * @return 结果
     */
    public int insertSqmyInfo(SqmyInfo sqmyInfo);

    /**
     * 修改社情民意信息
     * 
     * @param sqmyInfo 社情民意信息
     * @return 结果
     */
    public int updateSqmyInfo(SqmyInfo sqmyInfo);

    /**
     * 删除社情民意信息
     * 
     * @param sqmyId 社情民意信息主键
     * @return 结果
     */
    public int deleteSqmyInfoBySqmyId(Long sqmyId);

    /**
     * 批量删除社情民意信息
     * 
     * @param sqmyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSqmyInfoBySqmyIds(Long[] sqmyIds);

    List<SqmyInfo> selectSqmyInfoListByUnit(SqmyInfo sqmyInfo);
}
